Package org.bedework.synch.wsmessages

# Enum Class CalProcessingType

java.lang.Object
java.lang.Enum<CalProcessingType>
org.bedework.synch.wsmessages.CalProcessingType

All Implemented Interfaces:
  `Serializable`, `Comparable<CalProcessingType>`, `Constable`

public enum CalProcessingType extends Enum<CalProcessingType>

Java class for CalProcessingType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CalProcessingType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ALLOW"/>
         <enumeration value="SYNCH"/>
         <enumeration value="REMOVE"/>
         <enumeration value="SPECIAL"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOW`
  `REMOVE`
  `SPECIAL`
  `SYNCH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalProcessingType`
  `fromValue(String v)`
  `String`
  `value()`
  `static CalProcessingType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CalProcessingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALLOW

    public static final CalProcessingType ALLOW

  - ### SYNCH

    public static final CalProcessingType SYNCH

  - ### REMOVE

    public static final CalProcessingType REMOVE

  - ### SPECIAL

    public static final CalProcessingType SPECIAL

- ## Method Details

  - ### values

    public static CalProcessingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CalProcessingType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static CalProcessingType fromValue(String v)